{
  "name": "graphql-auth",
  "license": "MIT",
  "scripts": {
    "dev": "ts-node-dev --no-notify --respawn --transpile-only src/server",
    "start": "node dist/server",
    "clean": "rm -rf dist",
    "build": "npm -s run clean && npm -s run generate && tsc",
    "generate": "npm -s run generate:prisma && npm -s run generate:nexus",
    "generate:prisma": "prisma generate",
    "generate:nexus": "ts-node --transpile-only src/schema"
  },
  "prettier": {
    "semi": false,
    "singleQuote": true,
    "trailingComma": "all"
  },
  "dependencies": {
    "@prisma/client": "6.4.1",
    "@apollo/server": "4.11.3",
    "bcryptjs": "3.0.2",
    "graphql": "16.10.0",
    "graphql-middleware": "6.1.35",
    "graphql-scalars": "1.24.1",
    "graphql-shield": "7.6.5",
    "jsonwebtoken": "9.0.2",
    "nexus": "1.3.0"
  },
  "devDependencies": {
    "@types/bcryptjs": "2.4.6",
    "@types/jsonwebtoken": "9.0.9",
    "@types/node": "22.13.9",
    "prisma": "6.4.1",
    "ts-node": "10.9.2",
    "ts-node-dev": "2.0.0",
    "typescript": "5.7.3"
  },
  "prisma": {
    "seed": "ts-node prisma/seed.ts"
  }
}
